Bug 441571 - /usr/sbin/console-kit-daemon still runs after 'telinit 1'
/usr/sbin/console-kit-daemon still runs after 'telinit 1'
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: 445057 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-04-08 15:58 EDT by Michal Jaegermann
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-15 04:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-04-08 15:58:19 EDT
Description of problem:

With an update to initscripts-8.69-1 after 'telinit 1' most
of user space processes is indeed stopped but
/usr/sbin/console-kit-daemon is still there.  According
to comment #6, by Bill Nottingham, in bug 438444 this is
a bug in ConsoleKit package.

Version-Release number of selected component (if applicable):
Comment 1 Matthias Clasen 2008-04-09 09:44:57 EDT
console-kit-daemon is not started/stopped by an init script. 
It is autostarted by dbus activation. 

I assume we could still ship a K script to stop it in runlevel 1 if thats important.
Comment 2 Michal Jaegermann 2008-04-09 11:47:44 EDT
One scenario which comes to mind is an attempt to remount /usr read-only
in order to do some repair jobs (assuming that /usr is a separate
file system).  Running /usr/sbin/console-kit-daemon would cause "busy".
OTOH a person doing that can just kill that process - if s/he will
catch up that this is happening.  Other than that I do not see what
other harm may ensue.  Maybe I am short on imagination but it does not
seem to be that important.
Comment 3 jmccann 2008-05-05 15:39:57 EDT
*** Bug 445057 has been marked as a duplicate of this bug. ***
Comment 4 jmccann 2008-05-05 15:52:48 EDT
Should be fixed in:
Comment 5 Bug Zapper 2008-05-14 05:09:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Bug Zapper 2009-06-09 20:04:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-07-15 04:15:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.